﻿* Encoding: UTF-8.
* TÍTULO DE LA SINTAXIS:							   
* INDICADORES CULTIVOS TRANSITORIOS
* OPERACIÓN ESTADÍSTICA:													   
* Encuesta de Superficie y Producción Agropecuaria Continua ESPAC_2019		   
* UNIDAD TÉCNICA RESPONSABLE: 												   
* Dirección de Estadísticas Agropecuarias y Ambientales					   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadística y Censos (INEC)							   
*==============================================================================*.
* Fecha de elaboración:          Noviembre 2021					   
* Fecha última modificación:   Enero 2022				   
*==============================================================================*.
* Elaborado por:													   
* Dirección de Estadísticas Agropecuarias y Ambientales (DEAGA)						   
* Gestión de Estadísticas Agropecuarias    						   
* Aprobado por:													   
* Dirección de Estadísticas Agropecuarias y Ambientales (DEAGA)						   
* Gestión de Estadísticas Agropecuarias  							       
*==============================================================================*.
* Revisado por:																   
* Dirección de Estadísticas Agropecuarias y Ambientales (DEAGA)						   
* Gestión de Estadísticas Agropecuarias     						   
*==============================================================================*.
*Indicaciones.
*1- Descargue la Bases de datos de cultivos transitorios de la página web: http://www.ecuadorencifras.gob.ec//estadisticas-agropecuarias-2/#

*2- Guarde la base y copie el directorio en:.
get file = 'C:\....\ct_nac_eco_2019.sav'.


*==============================================================================*.
*                            CONSTRUCCIÓN DE INDICADORES                            *
*==============================================================================*.

***** FILTRE LAS INTERSECCIONES****.
USE ALL.
COMPUTE filter_$=(intersecciones =2).
VARIABLE LABELS filter_$ 'intersecciones =2 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

**********INGRESOS, COSTOS Y RENTABILIDAD CULTIVOS TRANSITORIOS-UPA********.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ct_nclavr DISPLAY=NONE  /VLABELS VARIABLES=ingreso total_costo rentabilidad 
    DISPLAY=LABEL
  /TABLE ct_nclavr [C] BY ingreso [MEAN] + total_costo [MEAN] + rentabilidad [MEAN]
  /CATEGORIES VARIABLES=ct_nclavr ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95.

**********INGRESOS, COSTOS Y RENTABILIDAD CULTIVOS TRANSITORIOS-HECTÁREA********.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ct_nclavr DISPLAY=NONE  /VLABELS VARIABLES=ingreso_ha costo_ha rentabilidad_ha 
    DISPLAY=LABEL
  /TABLE ct_nclavr BY ingreso_ha [MEAN] + costo_ha [MEAN] + rentabilidad_ha [MEAN]
  /CATEGORIES VARIABLES=ct_nclavr ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95.

**********SUPERFICIE PLANTADA, EMPLEO********.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ct_nclavr DISPLAY=NONE  /VLABELS VARIABLES=SEMBRADA_sum hombres_sum 
    mujeres_sum DISPLAY=LABEL
  /TABLE ct_nclavr [C] BY SEMBRADA_sum [SUM] + hombres_sum [SUM] + mujeres_sum [SUM]
  /CATEGORIES VARIABLES=ct_nclavr ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95.

**********DESTINOS DE LAS VENTAS********.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ct_nclavr DISPLAY=NONE  /VLABELS VARIABLES=nacional_sum internacional_sum 
    DISPLAY=LABEL
  /TABLE ct_nclavr [C] BY nacional_sum [SUM] + internacional_sum [SUM]
  /CATEGORIES VARIABLES=ct_nclavr ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95.


**********SUPERFICIE PLANTADA  POR TIPO DE SEMILLA, RIEGO, FERTILIZANTES Y FITOSANITARIOS********.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ct_nclavr DISPLAY=NONE  /VLABELS VARIABLES=semilla_comun_sum 
    semilla_mejorada_sum semilla_certificada_sum semilla_híbrida_nacional_sum 
    semilla_híbrida_internacional_sum riego_exp_sum fertilizantes_exp_sum plaguicidas_exp_sum 
    DISPLAY=LABEL
  /TABLE ct_nclavr [C] BY semilla_comun_sum [SUM] + semilla_mejorada_sum [SUM] + 
    semilla_certificada_sum [SUM] + semilla_híbrida_nacional_sum [SUM] + 
    semilla_híbrida_internacional_sum [SUM] + riego_exp_sum [SUM] + fertilizantes_exp_sum [SUM] + 
    plaguicidas_exp_sum [SUM]
  /CATEGORIES VARIABLES=ct_nclavr ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95.

