﻿* Encoding: UTF-8.
* TÍTULO DE LA SINTAXIS:							   
* INDICADORES FLORICULTURA   
* OPERACIÓN ESTADÍSTICA:													   
* Encuesta de Superficie y Producción Agropecuaria Continua ESPAC_2019		   
* UNIDAD TÉCNICA RESPONSABLE: 												   
* Dirección de Estadísticas Agropecuarias y Ambientales					   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadística y Censos (INEC)							   
*==============================================================================*.
* Fecha de elaboración:          Noviembre 2021					   
* Fecha última modificación:   Enero 2022				   
*==============================================================================*.
* Elaborado por:													   
* Dirección de Estadísticas Agropecuarias y Ambientales (DEAGA)						   
* Gestión de Estadísticas Agropecuarias    						   
* Aprobado por:													   
* Dirección de Estadísticas Agropecuarias y Ambientales (DEAGA)						   
* Gestión de Estadísticas Agropecuarias  							       
*==============================================================================*.
* Revisado por:																   
* Dirección de Estadísticas Agropecuarias y Ambientales (DEAGA)						   
* Gestión de Estadísticas Agropecuarias     						   
*==============================================================================*.
*Indicaciones.
*1- Descargue la Bases de datos de flores de la página web: http://www.ecuadorencifras.gob.ec//estadisticas-agropecuarias-2/#

*2- Guarde la base y copie el directorio en:.
get file = 'C:\....\f_nac_eco_2019.sav'.

*==============================================================================*.
*                            CONSTRUCCIÓN DE INDICADORES                            *
*==============================================================================*.

***** FILTRE LAS INTERSECCIONES****.
USE ALL.
COMPUTE filter_$=(intersecciones =2).
VARIABLE LABELS filter_$ 'intersecciones =2 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

**************************INGRESO, COSTOS, RENTABILIDAD-FLORES************.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=rc_clacul DISPLAY=NONE  /VLABELS VARIABLES=ingresos2_sum costo_total_sum 
    Rentabilidad DISPLAY=LABEL
  /TABLE rc_clacul [C] BY ingresos2_sum [MEAN] + costo_total_sum [MEAN] + Rentabilidad [MEAN]
  /CATEGORIES VARIABLES=rc_clacul ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95.

**************************INGRESO, COSTOS, RENTABILIDAD-FLORES- HECTÁREA************.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=rc_clacul DISPLAY=NONE  /VLABELS VARIABLES=ingresos_ha costos_ha 
    rentabilidad_ha DISPLAY=LABEL
  /TABLE rc_clacul [C] BY ingresos_ha [MEAN] + costos_ha [MEAN] + rentabilidad_ha [MEAN]
  /CATEGORIES VARIABLES=rc_clacul ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95.


**************************ISUPERFICIE PLANTADA Y EMPLEO************.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=rc_clacul DISPLAY=NONE  /VLABELS VARIABLES=plantada_sum hombres_sum 
    mujeres_sum DISPLAY=LABEL
  /TABLE rc_clacul [C] BY plantada_sum [SUM] + hombres_sum [SUM] + mujeres_sum [SUM]
  /CATEGORIES VARIABLES=rc_clacul ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95.
