﻿* Encoding: UTF-8.
* TÍTULO DE LA SINTAXIS:							   
* INDICADORES CULTIVOS PERMANENTES
* OPERACIÓN ESTADÍSTICA:													   
* Encuesta de Superficie y Producción Agropecuaria Continua ESPAC_2019		   
* UNIDAD TÉCNICA RESPONSABLE: 												   
* Dirección de Estadísticas Agropecuarias y Ambientales					   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadística y Censos (INEC)							   
*==============================================================================*.
* Fecha de elaboración:          Noviembre 2021					   
* Fecha última modificación:   Enero 2022				   
*==============================================================================*.
* Elaborado por:													   
* Dirección de Estadísticas Agropecuarias y Ambientales (DEAGA)						   
* Gestión de Estadísticas Agropecuarias    						   
* Aprobado por:													   
* Dirección de Estadísticas Agropecuarias y Ambientales (DEAGA)						   
* Gestión de Estadísticas Agropecuarias  							       
*==============================================================================*.
* Revisado por:																   
* Dirección de Estadísticas Agropecuarias y Ambientales (DEAGA)						   
* Gestión de Estadísticas Agropecuarias     						   
*==============================================================================*.
*Indicaciones.
*1- Descargue la Bases de datos de cultivos permanentes de la página web: http://www.ecuadorencifras.gob.ec//estadisticas-agropecuarias-2/#

*2- Guarde la base y copie el directorio en:.
get file = 'C:\....\cp_nac_eco_2019.sav'.

*==============================================================================*.
*                            CONSTRUCCIÓN DE INDICADORES                            *
*==============================================================================*.
***** FILTRE LAS INTERSECCIONES****.
USE ALL.
COMPUTE filter_$=(intersecciones =2).
VARIABLE LABELS filter_$ 'intersecciones =2 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

**********INGRESOS, COSTOS Y RENTABILIDAD CULTIVOS PERMANENTES-UPA********.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_nclavr DISPLAY=NONE  /VLABELS VARIABLES=ingreso total_costo Rentabilidad 
    DISPLAY=LABEL
  /TABLE cp_nclavr [C] BY ingreso [S][MEAN] + total_costo [S][MEAN] + Rentabilidad [S][MEAN]
  /CATEGORIES VARIABLES=cp_nclavr ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95.


**********INGRESOS, COSTOS Y RENTABILIDAD CULTIVOS PERMANENTES-HECTÁREA********.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_nclavr DISPLAY=NONE  /VLABELS VARIABLES=ingreso_ha costo_ha rentabilidad_ha 
    DISPLAY=LABEL
  /TABLE cp_nclavr [C] BY ingreso_ha [S][MEAN] + costo_ha [S][MEAN] + rentabilidad_ha [S][MEAN]
  /CATEGORIES VARIABLES=cp_nclavr ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95.

**********SUPERFICIE PLANTADA, EMPLEO********.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_nclavr DISPLAY=NONE  /VLABELS VARIABLES=PLANTADA_sum HOMBRES_sum MUJRES_sum 
    DISPLAY=LABEL
  /TABLE cp_nclavr [C] BY PLANTADA_sum [SUM] + HOMBRES_sum [SUM] + MUJRES_sum [SUM]
  /CATEGORIES VARIABLES=cp_nclavr ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95.

**********DESTINOS DE LAS VENTAS********.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_nclavr DISPLAY=NONE  /VLABELS VARIABLES=nacional_exp_sum 
    internacional_exp_sum DISPLAY=LABEL
  /TABLE cp_nclavr [C] BY nacional_exp_sum [SUM] + internacional_exp_sum [SUM]
  /CATEGORIES VARIABLES=cp_nclavr ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95.

**********SUPERFICIE PLANTADA  POR TIPO DE SEMILLA, RIEGO, FERTILIZANTES Y FITOSANITARIOS********.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_nclavr DISPLAY=NONE  /VLABELS VARIABLES=comun_sum mejorada_sum 
    hibrida_nacional_sum hibrida_internacional_sum riego_exp_sum fertilizante_exp_sum 
    plaguicida_exp_sum 
    DISPLAY=LABEL
  /TABLE cp_nclavr [C] BY comun_sum [SUM] + mejorada_sum [SUM] + hibrida_nacional_sum [SUM] + 
    hibrida_internacional_sum [SUM] + riego_exp_sum [SUM] + fertilizante_exp_sum [SUM] + 
    plaguicida_exp_sum [SUM]
  /CATEGORIES VARIABLES=cp_nclavr ORDER=A KEY=VALUE EMPTY=EXCLUDE
  /CRITERIA CILEVEL=95.






