﻿* Encoding: UTF-8.
* TÍTULO DE LA SINTAXIS:							   
* INDICADORES UPA  
* OPERACIÓN ESTADÍSTICA:													   
* Encuesta de Superficie y Producción Agropecuaria Continua ESPAC_2019		   
* UNIDAD TÉCNICA RESPONSABLE: 												   
* Dirección de Estadísticas Agropecuarias y Ambientales					   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadística y Censos (INEC)							   
*==============================================================================*.
* Fecha de elaboración:          Noviembre 2021					   
* Fecha última modificación:   Enero 2022				   
*==============================================================================*.
* Elaborado por:													   
* Dirección de Estadísticas Agropecuarias y Ambientales (DEAGA)						   
* Gestión de Estadísticas Agropecuarias    						   
* Aprobado por:													   
* Dirección de Estadísticas Agropecuarias y Ambientales (DEAGA)						   
* Gestión de Estadísticas Agropecuarias  							       
*==============================================================================*.
* Revisado por:																   
* Dirección de Estadísticas Agropecuarias y Ambientales (DEAGA)						   
* Gestión de Estadísticas Agropecuarias     						   
*==============================================================================*.
*Indicaciones.
*1- Descargue la Bases de datos de UPA de la página web: http://www.ecuadorencifras.gob.ec//estadisticas-agropecuarias-2/#

*2- Guarde la base y copie el directorio en:.
get file = 'C:\....\upa_nac_eco_2019.sav'.

*3- Filtre la base con la variable UPA.
*==============================================================================*.
*                            CONSTRUCCIÓN DE INDICADORES                            *
*==============================================================================*.

******Productividad mano de obra familiar*********.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=grupo1 DISPLAY=NONE  /VLABELS VARIABLES=PRODUCCIONTOTAL_sum familiar_prom 
    productividad_fam prod_fam_dia DISPLAY=LABEL
  /TABLE grupo1 [C] BY PRODUCCIONTOTAL_sum [S][MEAN] + familiar_prom [S][MEAN] + productividad_fam 
    [S][MEAN] + prod_fam_dia [S][MEAN]
  /CATEGORIES VARIABLES=grupo1 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.

******Productividad mano de obra ocasional*********.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=grupo1 DISPLAY=NONE  /VLABELS VARIABLES=PRODUCCIONTOTAL_sum ocasional_prom 
    productividad_ocas prod_oca_dia DISPLAY=LABEL
  /TABLE grupo1 [C] BY PRODUCCIONTOTAL_sum [S][MEAN] + ocasional_prom [S][MEAN] + 
    productividad_ocas [S][MEAN] + prod_oca_dia [S][MEAN]
  /CATEGORIES VARIABLES=grupo1 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.

******Productividad mano de obra permanente calificado*********.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=grupo1 DISPLAY=NONE  /VLABELS VARIABLES=PRODUCCIONTOTAL_sum 
    permanentecalificado_prom prod_permacal_tra prod_permcal DISPLAY=LABEL
  /TABLE grupo1 [C] BY PRODUCCIONTOTAL_sum [S][MEAN] + permanentecalificado_prom [S][MEAN] + 
    prod_permacal_tra [S][MEAN] + prod_permcal [S][MEAN]
  /CATEGORIES VARIABLES=grupo1 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.

******Productividad mano de obra permanente no calificado*********.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=grupo1 DISPLAY=NONE  /VLABELS VARIABLES=PRODUCCIONTOTAL_sum 
    permanentenocalificado_prom prod_permanocalif_tra prod_permanocal DISPLAY=LABEL
  /TABLE grupo1 [C] BY PRODUCCIONTOTAL_sum [S][MEAN] + permanentenocalificado_prom [S][MEAN] + 
    prod_permanocalif_tra [S][MEAN] + prod_permanocal [S][MEAN]
  /CATEGORIES VARIABLES=grupo1 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.

FILTER OFF.
USE ALL.
EXECUTE.

***********INGRESOS, COSTOS OPERACIONALES Y RENTAILIDAD BRUTA- UPA*******.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=grupo1 ingresos_UPA costos_operacionales_UPA rentabilidad_bruta_UPA 
    DISPLAY=LABEL
  /TABLE grupo1 [C] BY ingresos_UPA [MEAN] + costos_operacionales_UPA [MEAN] + 
    rentabilidad_bruta_UPA [MEAN]
  /CATEGORIES VARIABLES=grupo1 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.


***********INGRESOS, COSTOS OPERACIONALES Y RENTAILIDAD BRUTA- UPA Y PROVINCIA*******.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov grupo1 DISPLAY=NONE  /VLABELS VARIABLES=ingresos_UPA 
    costos_operacionales_UPA rentabilidad_bruta_UPA DISPLAY=LABEL
  /TABLE ual_prov [C] > grupo1 BY ingresos_UPA [S][MEAN] + costos_operacionales_UPA [S][MEAN] + 
    rentabilidad_bruta_UPA [S][MEAN]
  /CATEGORIES VARIABLES=ual_prov grupo1 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.


***********PROPORCIÓN DE PRODUCTORES SEGÚN INGRESOS*******.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=grupo2 DISPLAY=LABEL
  /TABLE grupo2 [COLPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=grupo2 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.



***********PROPORCIÓN DE PRODUCTORES SEGÚN COSTOS******.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=grupo3 DISPLAY=LABEL
  /TABLE grupo3 [COLPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=grupo3 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.


***********PROPORCIÓN DE PRODUCTORES SEGÚN RENTABILIDAD*******.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=grupo4 DISPLAY=LABEL
  /TABLE grupo4 [C][COLPCT.VALIDN PCT40.1]
  /CATEGORIES VARIABLES=grupo4 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.


***********INGRESOS, COSTSO Y RENTABILIDAD PERMANENTES*******.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=grupo1 cp_ingreso cp_costo_operacional cp_rentabilidad DISPLAY=LABEL
  /TABLE grupo1 [C] BY cp_ingreso [MEAN] + cp_costo_operacional [MEAN] + cp_rentabilidad [MEAN]
  /CATEGORIES VARIABLES=grupo1 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov grupo1 cp_ingreso cp_costo_operacional cp_rentabilidad DISPLAY=LABEL
  /TABLE ual_prov [C] > grupo1 [C] BY cp_ingreso [S][MEAN] + cp_costo_operacional [S][MEAN] + 
    cp_rentabilidad [S][MEAN]
  /CATEGORIES VARIABLES=ual_prov grupo1 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.

***********INGRESOS, COSTSO Y RENTABILIDAD TRANSITORIOS*******.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=grupo1 ct_ingreso ct_costo_operacional ct_rentabilidad DISPLAY=LABEL
  /TABLE grupo1 [C] BY ct_ingreso [MEAN] + ct_costo_operacional [MEAN] + ct_rentabilidad [MEAN]
  /CATEGORIES VARIABLES=grupo1 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov  grupo1 ct_ingreso ct_costo_operacional ct_rentabilidad DISPLAY=LABEL
  /TABLE ual_prov [C] > grupo1 [C] BY ct_ingreso [MEAN] + ct_costo_operacional [MEAN] + ct_rentabilidad [MEAN]
  /CATEGORIES VARIABLES= ual_prov grupo1 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.


***********INGRESOS, COSTOS Y RENTABILIDAD FLORES*******.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=grupo1 f_ingresos f_costo_operacional f_rentabilidad DISPLAY=LABEL
  /TABLE grupo1 [C] BY f_ingresos [S][MEAN] + f_costo_operacional [S][MEAN] + f_rentabilidad 
    [S][MEAN]
  /CATEGORIES VARIABLES=grupo1 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov  grupo1 f_ingresos f_costo_operacional f_rentabilidad DISPLAY=LABEL
  /TABLE  ual_prov [C] > grupo1 [C] BY f_ingresos [S][MEAN] + f_costo_operacional [S][MEAN] + f_rentabilidad 
    [S][MEAN]
  /CATEGORIES VARIABLES=ual_prov grupo1 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.


***********INGRESOS, COSTOS Y RENTABILIDAD GANADO VACUNO*******.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=grupo5 ingresogl_sum costogl_sum gl_rentabilidad DISPLAY=LABEL
  /TABLE grupo5 [C] BY ingresogl_sum [MEAN] + costogl_sum [MEAN] + gl_rentabilidad [MEAN]
  /CATEGORIES VARIABLES=grupo5 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=grupo5 gl_ingreso_cabeza gl_costos_cabeza gl_rentabilidad_cabeza DISPLAY=LABEL
  /TABLE grupo5 [C] BY gl_ingreso_cabeza [MEAN] + gl_costos_cabeza [MEAN] + gl_rentabilidad_cabeza 
    [MEAN]
  /CATEGORIES VARIABLES=grupo5 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.


* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov grupo5 ingresogl_sum costogl_sum gl_rentabilidad DISPLAY=LABEL
  /TABLE ual_prov > grupo5 [C] BY ingresogl_sum [S][MEAN] + costogl_sum [S][MEAN] + gl_rentabilidad 
    [S][MEAN]
  /CATEGORIES VARIABLES=ual_prov grupo5 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.



***********INGRESOS, COSTOS Y RENTABILIDAD GANADO PORCINO*******.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=grupo6 gp_año_sum costosgp_sum gp_rentabilidad DISPLAY=LABEL
  /TABLE grupo6 BY gp_año_sum [MEAN] + costosgp_sum [MEAN] + gp_rentabilidad [MEAN]
  /CATEGORIES VARIABLES=grupo6 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=grupo6 gp_ingreso_cabeza gp_costo_cabeza gp_rentabilidad_cabeza DISPLAY=LABEL
  /TABLE grupo6 [C] BY gp_ingreso_cabeza [MEAN] + gp_costo_cabeza [MEAN] + gp_rentabilidad_cabeza 
    [MEAN]
  /CATEGORIES VARIABLES=grupo6 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov DISPLAY=NONE  /VLABELS VARIABLES=grupo6 gp_año_sum costosgp_sum 
    gp_rentabilidad DISPLAY=LABEL
  /TABLE ual_prov > grupo6 [C] BY gp_año_sum [S][MEAN] + costosgp_sum [S][MEAN] + gp_rentabilidad 
    [S][MEAN]
  /CATEGORIES VARIABLES=ual_prov grupo6 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.


***********INGRESOS, COSTOS Y RENTABILIDAD GANADO OVINO*******.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=grupo7 gv_año_sum costosgv_sum gv_rentabilidad DISPLAY=LABEL
  /TABLE grupo7 BY gv_año_sum [MEAN] + costosgv_sum [MEAN] + gv_rentabilidad [MEAN]
  /CATEGORIES VARIABLES=grupo7 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=grupo7 gv_ingreso_cabeza gv_costo_cabeza gv_rentabilidad_cabeza DISPLAY=LABEL
  /TABLE grupo7 [C] BY gv_ingreso_cabeza [MEAN] + gv_costo_cabeza [MEAN] + gv_rentabilidad_cabeza 
    [MEAN]
  /CATEGORIES VARIABLES=grupo7 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov DISPLAY=NONE  /VLABELS VARIABLES=grupo7 gv_año_sum costosgv_sum 
    gv_rentabilidad DISPLAY=LABEL
  /TABLE ual_prov > grupo7 [C] BY gv_año_sum [S][MEAN] + costosgv_sum [S][MEAN] + gv_rentabilidad 
    [S][MEAN]
  /CATEGORIES VARIABLES=ual_prov grupo7 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.


***********INGRESOS, COSTOS Y RENTABILIDAD PLANTELES AVÍCOLAS******.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=grupo8 ingresostotalap_sum costos_aves_sum ap_rentabilidad DISPLAY=LABEL
  /TABLE grupo8 BY ingresostotalap_sum [MEAN] + costos_aves_sum [MEAN] + ap_rentabilidad [MEAN]
  /CATEGORIES VARIABLES=grupo8 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=ual_prov DISPLAY=NONE  /VLABELS VARIABLES=grupo8 ingresostotalap_sum 
    costos_aves_sum ap_rentabilidad DISPLAY=LABEL
  /TABLE ual_prov > grupo8 [C] BY ingresostotalap_sum [S][MEAN] + costos_aves_sum [S][MEAN] + 
    ap_rentabilidad [S][MEAN]
  /CATEGORIES VARIABLES=ual_prov grupo8 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.

***********PROPORCIÓN DE PRODUCTORES POR SEXO******.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=grupo1 cg_k100 DISPLAY=LABEL
  /TABLE grupo1 [C][ROWPCT.TOTALN PCT40.1] BY cg_k100 [C]
  /CATEGORIES VARIABLES=grupo1 cg_k100 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.

***********PROPORCIÓN DE PRODUCTORES POR INSTRUCCIÓN FORMAL*****.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=grupo1 cg_k102 DISPLAY=LABEL
  /TABLE grupo1 [C][ROWPCT.TOTALN PCT40.1] BY cg_k102
  /CATEGORIES VARIABLES=grupo1 cg_k102 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.

***********PROPORCIÓN DE PRODUCTORES POR EDAD*****.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=grupo1 edad_2 DISPLAY=LABEL
  /TABLE grupo1 [C][ROWPCT.TOTALN PCT40.1] BY edad_2
  /CATEGORIES VARIABLES=grupo1 edad_2 ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.


**********ACCESO A CRÉDITO*****.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=CREDITO DISPLAY=LABEL
  /TABLE BY CREDITO [C][ROWPCT.TOTALN PCT40.1]
  /CATEGORIES VARIABLES=CREDITO ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.

***********PROPORCIÓN DE PRODUCTORES QUE ACCEDEN A CRÉDITO*****.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=grupo1 CREDITO DISPLAY=LABEL
  /TABLE grupo1 [C][COLPCT.TOTALN PCT40.1] BY CREDITO [C]
  /CATEGORIES VARIABLES=grupo1 CREDITO ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.

***********PROPORCIÓN DE PRODUCTORES QUE ACCEDEN A CRÉDITO FUENTE DE FINANCIAMIENTO*****.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=grupo1 fina_banpri_fue fina_cooper_fue fina_banpub_fue DISPLAY=LABEL
  /TABLE grupo1 [C][COLPCT.TOTALN PCT40.1] BY fina_banpri_fue + fina_cooper_fue + fina_banpub_fue
  /CATEGORIES VARIABLES=grupo1 fina_banpri_fue fina_cooper_fue fina_banpub_fue ORDER=A KEY=VALUE 
    EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.

***********PROPORCIÓN DE PRODUCTORES PECUARIOS*****.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=grupo1 cg_k100 pecuario DISPLAY=LABEL
  /TABLE grupo1 [C] BY cg_k100 [C] > pecuario [C][ROWPCT.TOTALN PCT40.1]
  /CATEGORIES VARIABLES=grupo1 cg_k100 pecuario ORDER=A KEY=VALUE EMPTY=INCLUDE
  /CRITERIA CILEVEL=95.

